Set Purchase Requirements
Preview and confirm purchase requirement changes. Members and platform staff may preview but cannot confirm. Confirmation requires a bearer key or agent; live confirmation also requires catalog:publish.
PUT
/products/{id}/purchase_requirementsPreview and confirm purchase requirement changes. Members and platform staff may preview but cannot confirm. Confirmation requires a bearer key or agent; live confirmation also requires catalog:publish.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/products/string/purchase_requirements" \ -H "Content-Type: application/json" \ -d '{ "requirements": [ { "required_product": "4513697e-3e75-48c4-a0c1-6b7bc02fdd2d" } ] }'{ "dry_run": true, "plan": { "product": "e0588024-d851-42d5-ab9f-1b664ef352d4", "requirements": [ { "required_product": "4513697e-3e75-48c4-a0c1-6b7bc02fdd2d", "required_plan": "247b9b84-cccc-4aaa-a64f-13993e16e1e3" } ], "would_freeze": 0, "would_restore": 0, "expected_duration": "string" }}